import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";

export { Component } from "./component";

export const options = {
  name: "图层",
  thumbnail: require("@/modules/editor/assets/icons/container.svg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  children: {
    default: () => [] as string[],
  },
  layout: {
    size: [750, 300],
    background: {
      color: "#ffffff",
    },
  },
});

export const Form = createAttrsForm([]);
